Bug 712182

Summary: SELinux is preventing /usr/sbin/upsd from using the 'signal' accesses on a process.
Product: [Fedora] Fedora Reporter: Sylvain Petreolle <spetreolle>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:1b1f6040f0461352d4200ff48e83ee3e3ca94cb89af624ebb44f80077de5fcc6
Fixed In Version: selinux-policy-3.9.16-30.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-24 03:54:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sylvain Petreolle 2011-06-09 17:53:21 UTC
SELinux is preventing /usr/sbin/upsd from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that upsd should be allowed signal access on processes labeled nut_upsd_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep upsd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:nut_upsd_t:SystemLow
Target Context                system_u:system_r:nut_upsd_t:SystemLow
Target Objects                Unknown [ process ]
Source                        upsd
Source Path                   /usr/sbin/upsd
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           nut-2.6.0-6.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-24.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.6-27.fc15.i686.PAE #1 SMP Sun
                              May 15 17:39:47 UTC 2011 i686 i686
Alert Count                   1
First Seen                    sam. 04 juin 2011 01:19:23 CEST
Last Seen                     sam. 04 juin 2011 01:19:23 CEST
Local ID                      09a3519a-2cae-45cf-8f4b-8f251cb10130

Raw Audit Messages
type=AVC msg=audit(1307143163.862:280): avc:  denied  { signal } for  pid=15464 comm="upsd" scontext=system_u:system_r:nut_upsd_t:s0 tcontext=system_u:system_r:nut_upsd_t:s0 tclass=process


type=SYSCALL msg=audit(1307143163.862:280): arch=i386 syscall=kill success=yes exit=0 a0=726 a1=1 a2=8056a44 a3=726 items=0 ppid=15461 pid=15464 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=upsd exe=/usr/sbin/upsd subj=system_u:system_r:nut_upsd_t:s0 key=(null)

Hash: upsd,nut_upsd_t,nut_upsd_t,process,signal

audit2allow

#============= nut_upsd_t ==============
allow nut_upsd_t self:process signal;

audit2allow -R

#============= nut_upsd_t ==============
allow nut_upsd_t self:process signal;

Comment 1 Daniel Walsh 2011-06-09 18:35:38 UTC
I am giving it all signal_perms.

Miroslav probably should back port to RHEL6.

Fixed in selinux-policy-3.9.16-29.fc15

Comment 2 Fedora Update System 2011-06-10 10:50:20 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 3 Fedora Update System 2011-06-11 04:29:35 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-21 17:31:35 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-06-24 03:53:07 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.